Loading...
Searching...
No Matches
pcl::SHOT1344 Struct Reference
Module common

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | SHOT1344 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | descriptor [1344] = {0.f}
float | rf [9] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const SHOT1344 &p)

## Detailed Description

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color.

Definition at line 1336 of file point_types.hpp.

## Constructor & Destructor Documentation

## SHOT1344()

pcl::SHOT1344::SHOT1344 | ( |  | ) |

inline constexpr default

Referenced by operator<<.

## Member Function Documentation

## descriptorSize()

constexpr int pcl::SHOT1344::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1340 of file point_types.hpp.

References pcl::detail::traits::descriptorSize_v.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const SHOT1344 & | p )

friend

References SHOT1344().

## Member Data Documentation

## descriptor

float pcl::SHOT1344::descriptor[1344] = {0.f}

Definition at line 1338 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< SHOT1344 >::copyToFloatArray().

## rf

float pcl::SHOT1344::rf[9] = {0.f}

Definition at line 1339 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp